Rfq.maker.poll
JSON-RPC method rfq.maker.poll on the trading socket. Items have the same shape as the open push; deduplicate on rfq_id. Pass next_cursor back as cursor until a page has none.
WSS
/
Messages
{
"limit": 100
}{
"items": [
{
"rfq_id": "0192f1a3b4c5d6e7f8091a2b3c4d5e6f",
"side": "two_way",
"legs": [
{
"instrument": "BTC_USDC-2MAY26-77000-C",
"quantity": "1.000000",
"asset": 0,
"strike": "77000.000000",
"expiry": 1777708800,
"kind": "call"
},
{
"instrument": "BTC_USDC-2MAY26-80000-C",
"quantity": "-2.000000",
"asset": 0,
"strike": "80000.000000",
"expiry": 1777708800,
"kind": "call"
}
],
"taker_account": 2077,
"taker_subaccount": "<base58 subaccount PDA>",
"taker_funded": true,
"maker_funding": {
"anchored": true,
"free_balance": "12500.000000",
"buy": {
"required": "262.500000",
"estimate": false,
"funded": true,
"package_cash_delta": "470.000000",
"cash_debit": "0.000000",
"fee": "0.000000",
"max_fee": "0.000000",
"writer": true,
"lock_increase": "250.000000",
"post_fill_locked": "1250.000000",
"max_locked_balance": "1262.500000"
},
"sell": {
"required": "732.500000",
"estimate": false,
"funded": true,
"package_cash_delta": "-470.000000",
"cash_debit": "470.000000",
"fee": "0.000000",
"max_fee": "0.000000",
"writer": true,
"lock_increase": "250.000000",
"post_fill_locked": "1250.000000",
"max_locked_balance": "1262.500000"
}
},
"request_deadline": "2026-05-01T15:40:06.000Z",
"deployment": {
"program_id": "4BecHK2cEh6DgfpCdxbQAm812audv4ZXxTQB12RkMWB8",
"deployment_id": "<64 hex characters>",
"config_pda": "ECJGDQXPnzjoaaPveifT4FSKmYgSbNf1GeiHbtdi626u",
"epoch": 3
},
"nearest_leg_close": "2026-05-02T08:00:00.000Z",
"max_quote_expires_at": 1777708798
}
]
}{
"error": "RFQ_NOT_READY",
"message": "RFQ chain-service state is not warm",
"operation_id": "rfq-18",
"retryable": true,
"rfq_id": "0192f1a3b4c5d6e7f8091a2b3c4d5e6f"
}Request params
type:object
Result
type:object
Error
type:object
Every rfq.* failure is JSON-RPC error 1200; this is its error.data object.
Messages
{
"limit": 100
}{
"items": [
{
"rfq_id": "0192f1a3b4c5d6e7f8091a2b3c4d5e6f",
"side": "two_way",
"legs": [
{
"instrument": "BTC_USDC-2MAY26-77000-C",
"quantity": "1.000000",
"asset": 0,
"strike": "77000.000000",
"expiry": 1777708800,
"kind": "call"
},
{
"instrument": "BTC_USDC-2MAY26-80000-C",
"quantity": "-2.000000",
"asset": 0,
"strike": "80000.000000",
"expiry": 1777708800,
"kind": "call"
}
],
"taker_account": 2077,
"taker_subaccount": "<base58 subaccount PDA>",
"taker_funded": true,
"maker_funding": {
"anchored": true,
"free_balance": "12500.000000",
"buy": {
"required": "262.500000",
"estimate": false,
"funded": true,
"package_cash_delta": "470.000000",
"cash_debit": "0.000000",
"fee": "0.000000",
"max_fee": "0.000000",
"writer": true,
"lock_increase": "250.000000",
"post_fill_locked": "1250.000000",
"max_locked_balance": "1262.500000"
},
"sell": {
"required": "732.500000",
"estimate": false,
"funded": true,
"package_cash_delta": "-470.000000",
"cash_debit": "470.000000",
"fee": "0.000000",
"max_fee": "0.000000",
"writer": true,
"lock_increase": "250.000000",
"post_fill_locked": "1250.000000",
"max_locked_balance": "1262.500000"
}
},
"request_deadline": "2026-05-01T15:40:06.000Z",
"deployment": {
"program_id": "4BecHK2cEh6DgfpCdxbQAm812audv4ZXxTQB12RkMWB8",
"deployment_id": "<64 hex characters>",
"config_pda": "ECJGDQXPnzjoaaPveifT4FSKmYgSbNf1GeiHbtdi626u",
"epoch": 3
},
"nearest_leg_close": "2026-05-02T08:00:00.000Z",
"max_quote_expires_at": 1777708798
}
]
}{
"error": "RFQ_NOT_READY",
"message": "RFQ chain-service state is not warm",
"operation_id": "rfq-18",
"retryable": true,
"rfq_id": "0192f1a3b4c5d6e7f8091a2b3c4d5e6f"
}